Bug 121885 - popsquares screensaver is not configured properly by controlcenter
popsquares screensaver is not configured properly by controlcenter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-28 16:55 EDT by Jacob Borer
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-31 15:36:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacob Borer 2004-04-28 16:55:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040422

Description of problem:
The config file /usr/share/control-center/screensavers/popsquares.xml
has an error,

There are two entries with the same id. this causes the screensaver to
be configured with the fg and bg colors the same when using control
center in kde.


  <string id="string" _label="Start color" arg="-fg %"/>
  <string id="string" _label="End color" arg="-bg %"/>

Version-Release number of selected component (if applicable):
xscreensaver-4.14-4

How reproducible:
Always

Steps to Reproduce:
1.Configure Desktop in kde
2.select screensaver
3.try to setup popsquares under Visit to flatland to have a start
color of red and a bg color of blue. 
4.after accepting the change test the screensaver. You will get a
single color.
    

Actual Results:  you get a single color screen saver

Expected Results:  you get a multicolored screensaver

Additional info:

To fix, change the ids from string  and string to string1 and string2
(or similar) like so in
/usr/share/control-center/screensavers/popsquares.xml

  <string id="string0" _label="Start color" arg="-fg %"/>
  <string id="string1" _label="End color" arg="-bg %"/>
Comment 1 Ray Strode [halfline] 2005-05-12 11:50:52 EDT
Hi,
I'm going through bugs assigned to me and attempting to clean some of the older,
fixed ones up.

This bug hasn't changed in over a year old now.  Are you still seeing the problem? 

(This a batch message is being sent to all my bugs that haven't changed in a year)
Comment 2 Ray Strode [halfline] 2005-05-31 15:36:45 EDT
Hi,

This bug has been in the NEEDINFO state for at least a couple of weeks now.  I'm
going to close the bug, but if you can provide the required information feel
free to open a new report.

Thanks.

(This is a mass message being sent to a bunch of bug reports)

Note You need to log in before you can comment on or make changes to this bug.